# Class OpaqueFrameException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.sun.jdi.OpaqueFrameException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `NativeMethodException`

public sealed class OpaqueFrameException extends RuntimeException permits NativeMethodException
Thrown to indicate an operation could not be performed on a frame.

Since:
  19
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`OpaqueFrameException()`
Constructs a OpaqueFrameException with no detail message.
`OpaqueFrameException(String message)`
Constructs a OpaqueFrameException with the given detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OpaqueFrameException

public OpaqueFrameException()
Constructs a OpaqueFrameException with no detail message.

### OpaqueFrameException

public OpaqueFrameException(String message)
Constructs a OpaqueFrameException with the given detail message.

Parameters:
  `message` - the detail message, can be `null`